#############################################################################
#
# XLConnect
# Copyright (C) 2010-2017 Mirai Solutions GmbH
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#############################################################################

#############################################################################
#
# Free Java memory by first running R's garbage collector (gc) and then
# Java's garbage collector. 
# This sequence is important as R's gc may release objects which in turn 
# allows Java's gc to release some objects. 
# 
# Author: Martin Studer, Mirai Solutions GmbH
#
#############################################################################

xlcFreeMemory <- function(...) {
	gc(...)
	J("java.lang.Runtime")$getRuntime()$gc()
	invisible()
}
